Package com.evopdf

# Class PdfFooterOptions

java.lang.Object
com.evopdf.PdfFooterOptions

public class PdfFooterOptions extends Object
This class encapsulates the options to control the appearance of the footer in the rendered PDF document. The HtmlToPdfConverter class exposes a reference to an object of this type in `HtmlToPdfConverter.pdfFooterOptions()` property. If the `PdfDocumentOptions.showFooter()` property of the `PdfDocumentOptions` object exposed by the `HtmlToPdfConverter.pdfDocumentOptions()` property is false, the footer options have no effect

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(PageElement pdfElement)`
  Add a PDF element to be rendered in footer by the HTML to PDF converter
  `RgbColor`
  `footerBackColor()`
  Gets the background color of the footer
  `float`
  `footerHeight()`
  Gets the height in points of the footer.
  `int`
  `pageNumberingPageCountIncrement()`
  Gets the increment for the total number of pages displayed using &P; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
  `int`
  `pageNumberingStartIndex()`
  Gets the start index for page numbering using the &p; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
  `void`
  `setFooterBackColor(RgbColor footerBackColor)`
  Sets the background color of the footer
  `void`
  `setFooterHeight(float footerHeight)`
  Sets the height in points of the footer.
  `void`
  `setPageNumberingPageCountIncrement(int pageNumberingPageCountIncrement)`
  Sets the increment for the total number of pages displayed using &P; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
  `void`
  `setPageNumberingStartIndex(int pageNumberingStartIndex)`
  Sets the start index for page numbering using the &p; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
  `void`
  `setShowInEvenPages(boolean showInEvenPages)`
  Sets the flag indicating if the header is displayed in the even pages of the PDF document
  `void`
  `setShowInFirstPage(boolean showInFirstPage)`
  Sets the flag indicating if the header is displayed in the first page of the PDF document
  `void`
  `setShowInOddPages(boolean showInOddPages)`
  Sets the flag indicating if the header is displayed in the odd pages of the PDF document
  `boolean`
  `showInEvenPages()`
  Gets the flag indicating if the header is displayed in the even pages of the PDF document
  `boolean`
  `showInFirstPage()`
  Gets the flag indicating if the header is displayed in the first page of the PDF document
  `boolean`
  `showInOddPages()`
  Gets the flag indicating if the header is displayed in the odd pages of the PDF document

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### footerBackColor

    public RgbColor footerBackColor()
    Gets the background color of the footer
    Returns:
      the background color of the footer

  - ### setFooterBackColor

    public void setFooterBackColor(RgbColor footerBackColor)
    Sets the background color of the footer
    Parameters:
      `footerBackColor` - the background color of the footer

  - ### footerHeight

    public float footerHeight()
    Gets the height in points of the footer. 1 point is 1/72 inch
    Returns:
      the height in points of the footer

  - ### setFooterHeight

    public void setFooterHeight(float footerHeight)
    Sets the height in points of the footer. 1 point is 1/72 inch
    Parameters:
      `footerHeight` - the height in points of the footer

  - ### showInFirstPage

    public boolean showInFirstPage()
    Gets the flag indicating if the header is displayed in the first page of the PDF document
    Returns:
      the flag value

  - ### setShowInFirstPage

    public void setShowInFirstPage(boolean showInFirstPage)
    Sets the flag indicating if the header is displayed in the first page of the PDF document
    Parameters:
      `showInFirstPage` - the flag value to set

  - ### showInOddPages

    public boolean showInOddPages()
    Gets the flag indicating if the header is displayed in the odd pages of the PDF document
    Returns:
      the flag value

  - ### setShowInOddPages

    public void setShowInOddPages(boolean showInOddPages)
    Sets the flag indicating if the header is displayed in the odd pages of the PDF document
    Parameters:
      `showInOddPages` - the flag value to set

  - ### showInEvenPages

    public boolean showInEvenPages()
    Gets the flag indicating if the header is displayed in the even pages of the PDF document
    Returns:
      the flag value

  - ### setShowInEvenPages

    public void setShowInEvenPages(boolean showInEvenPages)
    Sets the flag indicating if the header is displayed in the even pages of the PDF document
    Parameters:
      `showInEvenPages` - the flag value to set

  - ### pageNumberingStartIndex

    public int pageNumberingStartIndex()
    Gets the start index for page numbering using the &p; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
    Returns:
      the current start index

  - ### setPageNumberingStartIndex

    public void setPageNumberingStartIndex(int pageNumberingStartIndex)
    Sets the start index for page numbering using the &p; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
    Parameters:
      `pageNumberingStartIndex` - the start index to set

  - ### pageNumberingPageCountIncrement

    public int pageNumberingPageCountIncrement()
    Gets the increment for the total number of pages displayed using &P; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
    Returns:
      the current increment

  - ### setPageNumberingPageCountIncrement

    public void setPageNumberingPageCountIncrement(int pageNumberingPageCountIncrement)
    Sets the increment for the total number of pages displayed using &P; variable in a `TextElement` or `HtmlToPdfVariableElement` added to the footer
    Parameters:
      `pageNumberingPageCountIncrement` - the increment to set

  - ### addElement

    public void addElement(PageElement pdfElement)
    Add a PDF element to be rendered in footer by the HTML to PDF converter
    Parameters:
      `pdfElement` - the PDF element to be rendered in footer